%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name libtasn1
%global mingw_build_win32 1
%global mingw_build_win64 1

Name:		mingw-libtasn1
Version:	2.9
Release:	1%{?dist}
Summary:	Cross-compiled ASN.1 library used in GNUTLS

# The libtasn1 library is LGPLv2+, utilities are GPLv3+
License:	GPLv3+ and LGPLv2+
Group:		System Environment/Libraries
URL:		http://www.gnu.org/software/libtasn1/
Source0:	http://ftp.gnu.org/gnu/libtasn1/libtasn1-%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:	bison, pkgconfig

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
This is the ASN.1 library used in GNUTLS.  More up to date information can
be found at http://www.gnu.org/software/gnutls and http://www.gnutls.org

# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw32-%{mingw_pkg_name}
This is the ASN.1 library used in GNUTLS.  More up to date information can
be found at http://www.gnu.org/software/gnutls and http://www.gnutls.org

%package -n mingw32-%{mingw_pkg_name}-devel
Summary:        Files for development of applications which will use libtasn1%{summary}
Group:		Development/Libraries
Requires:	pkgconfig
Requires:	mingw32-%{mingw_pkg_name} = %version-%release

%description -n mingw32-%{mingw_pkg_name}-devel
This is the ASN.1 library used in GNUTLS.  More up to date information can
be found at http://www.gnu.org/software/gnutls and http://www.gnutls.org

This package contains files for development of applications which will
use libtasn1.

%package -n mingw32-%{mingw_pkg_name}-tools
Summary:	Some ASN.1 tools
Group:		Applications/Text
License:	GPLv3+
Requires:	mingw32-%{mingw_pkg_name} = %version-%release

%description -n mingw32-%{mingw_pkg_name}-tools
This is the ASN.1 library used in GNUTLS.  More up to date information can
be found at http://www.gnu.org/software/gnutls and http://www.gnutls.org

This package contains tools using the libtasn library.

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw64-%{mingw_pkg_name}
This is the ASN.1 library used in GNUTLS.  More up to date information can
be found at http://www.gnu.org/software/gnutls and http://www.gnutls.org

%package -n mingw64-%{mingw_pkg_name}-devel
Summary:        Files for development of applications which will use libtasn1%{summary}
Group:		Development/Libraries
Requires:	pkgconfig
Requires:	mingw64-%{mingw_pkg_name} = %version-%release

%description -n mingw64-%{mingw_pkg_name}-devel
This is the ASN.1 library used in GNUTLS.  More up to date information can
be found at http://www.gnu.org/software/gnutls and http://www.gnutls.org

This package contains files for development of applications which will
use libtasn1.

%package -n mingw64-%{mingw_pkg_name}-tools
Summary:	Some ASN.1 tools
Group:		Applications/Text
License:	GPLv3+
Requires:	mingw64-%{mingw_pkg_name} = %version-%release

%description -n mingw64-%{mingw_pkg_name}-tools
This is the ASN.1 library used in GNUTLS.  More up to date information can
be found at http://www.gnu.org/software/gnutls and http://www.gnutls.org

This package contains tools using the libtasn library.


%prep
%setup -q -n libtasn1-%{version}

%build
%mingw_configure "--disable-static"

%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{mingw32_infodir}
rm -rf $RPM_BUILD_ROOT%{mingw64_infodir}
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}

%clean
rm -rf "$RPM_BUILD_ROOT"


# Mingw32
%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root,-)
%doc AUTHORS COPYING* ChangeLog NEWS README THANKS
%{mingw32_bindir}/libtasn1-3.dll

%files -n mingw32-%{mingw_pkg_name}-tools
%defattr(-,root,root,-)
%{mingw32_bindir}/asn1Parser.exe
%{mingw32_bindir}/asn1Coding.exe
%{mingw32_bindir}/asn1Decoding.exe

%files -n mingw32-%{mingw_pkg_name}-devel
%defattr(-,root,root,-)
%{mingw32_libdir}/libtasn1.dll.a
%{mingw32_libdir}/libtasn1.la
%{mingw32_libdir}/pkgconfig/libtasn1.pc
%{mingw32_includedir}/libtasn1.h

# Mingw64
%files -n mingw64-%{mingw_pkg_name}
%defattr(-,root,root,-)
%doc AUTHORS COPYING* ChangeLog NEWS README THANKS
%{mingw64_bindir}/libtasn1-3.dll

%files -n mingw64-%{mingw_pkg_name}-tools
%defattr(-,root,root,-)
%{mingw64_bindir}/asn1Parser.exe
%{mingw64_bindir}/asn1Coding.exe
%{mingw64_bindir}/asn1Decoding.exe

%files -n mingw64-%{mingw_pkg_name}-devel
%defattr(-,root,root,-)
%{mingw64_libdir}/libtasn1.dll.a
%{mingw64_libdir}/libtasn1.la
%{mingw64_libdir}/pkgconfig/libtasn1.pc
%{mingw64_includedir}/libtasn1.h

%changelog
* Thu May 26 2011 Marc-André Lureau <marcandre.lureau@redhat.com> - 2.9-1
- Mingw64 build.
- tarball regenerated from git libtasn1_2_9-7-gc5f7aa1
